Bug 734075 - btrfs: kernel BUG at fs/btrfs/inode.c:1142!
Summary: btrfs: kernel BUG at fs/btrfs/inode.c:1142!
Keywords:
Status: CLOSED DUPLICATE of bug 698324
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.3
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Josef Bacik
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 11:47 UTC by Eryu Guan
Modified: 2012-06-07 14:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-07 14:21:39 UTC


Attachments (Terms of Use)
fio job file (745 bytes, text/plain)
2011-08-29 11:47 UTC, Eryu Guan
no flags Details

Description Eryu Guan 2011-08-29 11:47:29 UTC
Created attachment 520363 [details]
fio job file

Description of problem:
The host first got the following BUGON()
------------[ cut here ]------------ 
kernel BUG at fs/btrfs/inode.c:1142! 
invalid opcode: 0000 [#1] SMP  
last sysfs file: /sys/devices/system/cpu/cpu0/cache/index0/coherency_line_size 
CPU 1  
Modules linked in: btrfs(T) zlib_deflate lzo_decompress lzo_compress libcrc32c ext2 ext3 jbd sunrpc p4_clockmod freq_table speedstep_lib ipv6 microcode dcdbas serio_raw i2c_i801 sg iTCO_wdt iTCO_vendor_support tg3 shpchp i3000_edac edac_core ext4 mbcache jbd2 pata_sil680 sd_mod crc_t10dif sr_mod cdrom pata_acpi ata_generic ata_piix radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core dm_mirror dm_region_hash dm_log dm_mod [last unloaded: mperf] 
 
Pid: 16144, comm: fio Tainted: G           ---------------- T 2.6.32-191.el6.x86_64 #1 Dell Computer Corporation PowerEdge 830/0D9240 
RIP: 0010:[<ffffffffa048bd62>]  [<ffffffffa048bd62>] run_delalloc_nocow+0x6f2/0x720 [btrfs] 
RSP: 0018:ffff880084e53768  EFLAGS: 00010206 
RAX: 000000000000004d RBX: ffff880139ddb0a0 RCX: 0000000000000ad1 
RDX: 0000000000000004 RSI: ffff880138bfb000 RDI: ffff880139d7b0a0 
RBP: ffff880084e53868 R08: ffff880084e53720 R09: 000000000000004e 
R10: 6c00000000000001 R11: 000000000001c000 R12: ffff880084e52000 
R13: 000000000001c000 R14: ffff880139d7b0a0 R15: 000000000001c000 
FS:  00007f2c02551700(0000) GS:ffff880028300000(0000) knlGS:0000000000000000 
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b 
CR2: 00007f2bf6c00000 CR3: 0000000104484000 CR4: 00000000000006e0 
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000 
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400 
Process fio (pid: 16144, threadinfo ffff880084e52000, task ffff880139ad8040) 
Stack: 
 ffff880139bbec28 ffff88002783dba8 ffff880084e538f0 000000002783eb28 
<0> ffff880139bbec28 ffff880139bbec18 000000000002e000 ffff880084e53a24 
<0> 000000000002dfff 000000000002e000 ffffea00018fcba8 ffff880139bbec20 
Call Trace: 
 [<ffffffffa048c128>] run_delalloc_range+0x398/0x400 [btrfs] 
 [<ffffffffa04a5bf9>] ? find_lock_delalloc_range+0x1d9/0x200 [btrfs] 
 [<ffffffffa04a6195>] __extent_writepage+0x575/0x6e0 [btrfs] 
 [<ffffffff810525a0>] ? __dequeue_entity+0x30/0x50 
 [<ffffffff81270035>] ? radix_tree_gang_lookup_tag_slot+0x95/0xe0 
 [<ffffffffa04a6676>] extent_write_cache_pages.clone.0+0x206/0x370 [btrfs] 
 [<ffffffffa048278b>] ? btrfs_set_bit_hook+0xfb/0x100 [btrfs] 
 [<ffffffffa04a0357>] ? free_extent_state+0x37/0x60 [btrfs] 
 [<ffffffffa04a6906>] extent_writepages+0x46/0x60 [btrfs] 
 [<ffffffffa048d100>] ? btrfs_get_extent+0x0/0x8d0 [btrfs] 
 [<ffffffffa04846f7>] btrfs_writepages+0x27/0x30 [btrfs] 
 [<ffffffff81126051>] do_writepages+0x21/0x40 
 [<ffffffff8111104b>] __filemap_fdatawrite_range+0x5b/0x60 
 [<ffffffff811115d3>] filemap_fdatawrite_range+0x13/0x20 
 [<ffffffffa0490498>] btrfs_file_aio_write+0x588/0x9d0 [btrfs] 
 [<ffffffff81175dfa>] do_sync_write+0xfa/0x140 
 [<ffffffff81090b70>] ? autoremove_wake_function+0x0/0x40 
 [<ffffffff8121877b>] ? selinux_file_permission+0xfb/0x150 
 [<ffffffff8120bb16>] ? security_file_permission+0x16/0x20 
 [<ffffffff811761c4>] vfs_write+0x184/0x1a0 
 [<ffffffff810d4602>] ? audit_syscall_entry+0x272/0x2a0 
 [<ffffffff81176bc2>] sys_pwrite64+0x82/0xa0 
 [<ffffffff8100b0b2>] system_call_fastpath+0x16/0x1b 
Code: 01 00 00 00 01 83 f8 ef 74 b8 4c 89 ef e8 77 65 00 00 41 b9 04 00 00 00 e9 57 fe ff ff 0f 0b eb fe 0f 0b eb fe 0f 0b 66 90 eb fc <0f> 0b eb fe 0f 0b 0f 1f 84 00 00 00 00 00 eb f6 0f 0b eb fe 0f  
RIP  [<ffffffffa048bd62>] run_delalloc_nocow+0x6f2/0x720 [btrfs] 
 RSP <ffff880084e53768> 

Then host got error again during dump core
Pid: 1067, comm: makedumpfile Not tainted 2.6.32-191.el6.x86_64 #1 
Call Trace: 
 <IRQ>  [<ffffffff810db39b>] ? __report_bad_irq+0x2b/0xa0 
 [<ffffffff810db59c>] ? note_interrupt+0x18c/0x1d0 
 [<ffffffff810dbcbd>] ? handle_fasteoi_irq+0xcd/0xf0 
 [<ffffffff8100dec9>] ? handle_irq+0x49/0xa0 
 [<ffffffff814f3f4c>] ? do_IRQ+0x6c/0xf0 
 [<ffffffff8100ba13>] ? ret_from_intr+0x0/0x11 
 <EOI>  [<ffffffff8113914d>] ? unmap_vmas+0x87d/0xbf0 
 [<ffffffff81138ed7>] ? unmap_vmas+0x607/0xbf0 
 [<ffffffff81140b71>] ? unmap_region+0x91/0x130 
 [<ffffffff81141236>] ? do_munmap+0x2b6/0x3a0 
 [<ffffffff81141811>] ? sys_brk+0x121/0x130 
 [<ffffffff8100ba0e>] ? common_interrupt+0xe/0x13 
 [<ffffffff8100b0b2>] ? system_call_fastpath+0x16/0x1b 
handlers: 
[<ffffffffa02b07c0>] (radeon_driver_irq_handler_kms+0x0/0x20 [radeon]) 
Disabling IRQ #16 

After reboot, host hit another BUGON()
------------[ cut here ]------------ 
kernel BUG at fs/btrfs/file.c:392! 
invalid opcode: 0000 [#1] SMP  
last sysfs file: /sys/devices/system/cpu/cpu0/cache/index0/coherency_line_size 
CPU 1  
Modules linked in: btrfs(T) zlib_deflate lzo_decompress lzo_compress libcrc32c sunrpc p4_clockmod freq_table speedstep_lib ipv6 microcode dcdbas sg serio_raw i2c_i801 iTCO_wdt iTCO_vendor_support tg3 shpchp i3000_edac edac_core ext4 mbcache jbd2 pata_sil680 sd_mod crc_t10dif sr_mod cdrom pata_acpi ata_generic ata_piix radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core dm_mirror dm_region_hash dm_log dm_mod [last unloaded: mperf] 
 
Pid: 3349, comm: btrfs-endio-wri Tainted: G           ---------------- T 2.6.32-191.el6.x86_64 #1 Dell Computer Corporation PowerEdge 830/0D9240 
RIP: 0010:[<ffffffffa040cb46>]  [<ffffffffa040cb46>] btrfs_drop_extents+0x9d6/0xa20 [btrfs] 
RSP: 0000:ffff88013bacfb20  EFLAGS: 00010246 
RAX: 0000000000011000 RBX: ffff880134e260a0 RCX: 00000000000008ef 
RDX: 0000000000000004 RSI: 0000000000000000 RDI: 0000000000000000 
RBP: ffff88013bacfc30 R08: ffff88013bacfae0 R09: 0000000000000000 
R10: 6c00000000000001 R11: 00000000c0000001 R12: ffff88013951c920 
R13: ffff88013bace000 R14: 0000000000000000 R15: 0000000000000000 
FS:  0000000000000000(0000) GS:ffff880028300000(0000) knlGS:0000000000000000 
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b 
CR2: 00007f954f7036e0 CR3: 0000000001a85000 CR4: 00000000000006e0 
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000 
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400 
Process btrfs-endio-wri (pid: 3349, threadinfo ffff88013bace000, task ffff8801375a3540) 
Stack: 
 ffff8801353c4b40 0000000000000000 ffff88013bacfb70 ffff88013bacfc90 
<0> 0000000000000000 0100000000000000 ffff88013bace000 0000000000000000 
<0> ffff88013961efa0 0000000000000000 0000000000000000 ffff880134ef2d90 
Call Trace: 
 [<ffffffffa041de25>] ? set_extent_bit+0x145/0x4e0 [btrfs] 
 [<ffffffff8115f0a2>] ? kmem_cache_alloc+0x182/0x190 
 [<ffffffffa03ffdc3>] insert_reserved_file_extent.clone.0+0x73/0x240 [btrfs] 
 [<ffffffff814ed17e>] ? mutex_lock+0x1e/0x50 
 [<ffffffffa03fd04c>] ? start_transaction+0x1cc/0x270 [btrfs] 
 [<ffffffffa0400c2c>] btrfs_finish_ordered_io+0x2ec/0x360 [btrfs] 
 [<ffffffffa0400cba>] btrfs_writepage_end_io_hook+0x1a/0x20 [btrfs] 
 [<ffffffffa041ebcb>] end_bio_extent_writepage+0x13b/0x180 [btrfs] 
 [<ffffffff814eca8a>] ? schedule_timeout+0x19a/0x2e0 
 [<ffffffff811ac2bd>] bio_endio+0x1d/0x40 
 [<ffffffffa03f6414>] end_workqueue_fn+0xf4/0x130 [btrfs] 
 [<ffffffffa0429cc1>] worker_loop+0x141/0x5b0 [btrfs] 
 [<ffffffff8105f752>] ? default_wake_function+0x12/0x20 
 [<ffffffffa0429b80>] ? worker_loop+0x0/0x5b0 [btrfs] 
 [<ffffffff81090806>] kthread+0x96/0xa0 
 [<ffffffff8100c10a>] child_rip+0xa/0x20 
 [<ffffffff81090770>] ? kthread+0x0/0xa0 
 [<ffffffff8100c100>] ? child_rip+0x0/0x20 
Code: 8b 53 40 83 ea 01 89 53 40 e9 62 f7 ff ff 0f 0b eb fe 0f 0b 90 eb fd 0f 0b eb fe 0f 0b 0f 1f 84 00 00 00 00 00 eb f6 0f 0b eb fe <0f> 0b 0f 1f 84 00 00 00 00 00 eb f6 0f 0b eb fe 0f 0b 0f 1f 84  
RIP  [<ffffffffa040cb46>] btrfs_drop_extents+0x9d6/0xa20 [btrfs] 
 RSP <ffff88013bacfb20> 

Version-Release number of selected component (if applicable):
kernel-2.6.32-191.el6

How reproducible:
Unknown, just once for now

Steps to Reproduce:
1. Download attached fio job file
2. fio bz439917.fio
3.
  
Actual results:


Expected results:


Additional info:
The fio job will generate WARNINGS described in bug 678589 comment 3, the BUGON() described here showed up only once.

A failed beaker job:
https://beaker.engineering.redhat.com/recipes/252015
Console log:

Comment 2 RHEL Product and Program Management 2011-10-07 15:46:28 UTC
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 3 Josef Bacik 2012-06-07 14:21:39 UTC

*** This bug has been marked as a duplicate of bug 698324 ***


Note You need to log in before you can comment on or make changes to this bug.